=== debian/changelog ===
haskell-blaze-builder (0.2.1.4-1build2) precise; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Nov 2011 08:50:35 -0400

haskell-blaze-builder (0.2.1.4-1build1) oneiric; urgency=low

  * No change rebuild against new GHC ABIs

 -- Iain Lane <laney@ubuntu.com>  Mon, 06 Jun 2011 09:33:46 +0100

haskell-blaze-builder (0.2.1.4-1) unstable; urgency=low

  * Initial release.  (Closes: #622625)

 -- Marco Túlio Gontijo e Silva <marcot@debian.org>  Wed, 13 Apr 2011 11:35:36 -0300
