=== debian/control ===
Source: haskell-blaze-builder
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>
Build-Depends: debhelper (>= 7)
  , cdbs
  , haskell-devscripts (>= 0.8)
  , ghc
  , ghc-prof
  , libghc-text-dev (>= 0.10), libghc-text-dev (<< 0.12)
  , libghc-text-prof (>= 0.10), libghc-text-prof (<< 0.12)
Build-Depends-Indep: ghc-doc
  , libghc-text-doc (>= 0.10), libghc-text-doc (<< 0.12)
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/blaze-builder
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-blaze-builder
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-blaze-builder

Package: libghc-blaze-builder-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: abstraction of buffered output of byte streams
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.

Package: libghc-blaze-builder-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: abstraction of buffered output of byte streams; profiling libraries
 This package provides a library for the Haskell programming language,
 compiled for profiling.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.

Package: libghc-blaze-builder-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: abstraction of buffered output of byte streams; documentation
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
 .
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.
