## haskell-blaze-builder 0.3.0.2

=== debian/changelog ===
haskell-blaze-builder (0.3.0.2-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Wed, 25 Jan 2012 19:26:17 -0500
