=== debian/control ===
Source: haskell-blaze-builder
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.8.15)
  , ghc
  , ghc-prof
  , libghc-text-dev (>> 0.10), libghc-text-dev (<< 0.13)
  , libghc-text-prof
Build-Depends-Indep: ghc-doc
  , libghc-text-doc
Standards-Version: 3.9.4
Homepage: http://hackage.haskell.org/package/blaze-builder
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-blaze-builder
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-blaze-builder

Package: libghc-blaze-builder-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: abstraction of buffered output of byte streams${haskell:ShortBlurb}
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: abstraction of buffered output of byte streams${haskell:ShortBlurb}
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: abstraction of buffered output of byte streams${haskell:ShortBlurb}
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the sytem
 call overhead when writing the resulting lazy bytestring to a file or sending
 it over the network.
 .
 ${haskell:Blurb}
