## haskell-blaze-builder 0.3.3.0

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 #########
 
 GHC6 = ghc-6.12.3
-GHC7 = ghc-7.0.1
+GHC7 = ghc-7.0.2
 
 GHC = $(GHC7)
 
@@ -22,17 +22,28 @@
 clean-bench-all:
 	rm -f benchmarks/*.o benchmarks/*.hi
 	rm -f benchmarks/Throughput/*.o benchmarks/Throughput/*.hi
-	rm -f Text/Blaze/Builder.o Text/Blaze/Builder.hi
-	rm -f Text/Blaze/Builder/*.o Text/Blaze/Builder/*.hi
-	rm -f Text/Blaze/Builder/Char/*.o Text/Blaze/Builder/Char/*.hi
-	rm -f Text/Blaze/Builder/Html/*.o Text/Blaze/Builder/Html/*.hi
-	rm -f Text/Blaze/Builder/Core/*.o Text/Blaze/Builder/Core/*.hi
+	rm -f Blaze/ByteString/Builder.o Blaze/ByteString/Builder.hi
+	rm -f Blaze/ByteString/Builder/*.o Blaze/ByteString/Builder/*.hi
+	rm -f Blaze/ByteString/Builder/Internal/*.o Blaze/ByteString/Builder/Internal/*.hi
+	rm -f Blaze/ByteString/Builder/Char/*.o Blaze/ByteString/Builder/Char/*.hi
+	rm -f Blaze/ByteString/Builder/Html/*.o Blaze/ByteString/Builder/Html/*.hi
+	rm -f Blaze/ByteString/Builder/Core/*.o Blaze/ByteString/Builder/Core/*.hi
 	rm -f benchmarks/Compression benchmarks/StringAndText benchmarks/BenchThroughput benchmarks/ChunkedWrite benchmarks/BlazeVsBinary
 	rm -f Criterion/*.o Criterion/*.hi
 	rm -f Criterion/ScalingBenchmark
 
 ## Individual benchmarks
 ########################
+
+# utf8 writing to a file
+utf8-io:
+	$(GHC) --make -O2 -fforce-recomp -main-is Utf8IO benchmarks/Utf8IO.hs
+	time ./benchmarks/Utf8IO via-text    100000000 /dev/null
+	time ./benchmarks/Utf8IO text        100000000 /dev/null
+	time ./benchmarks/Utf8IO blaze       100000000 /dev/null
+	time ./benchmarks/Utf8IO base        100000000 /dev/null
+	time ./benchmarks/Utf8IO utf8-light  100000000 /dev/null
+	time ./benchmarks/Utf8IO utf8-string 100000000 /dev/null
 
 # 'blaze-builder' vs. 'binary' comparision
 bench-blaze-vs-binary:
@@ -102,6 +113,9 @@
 	$(GHC) --make -O2 -fforce-recomp -ibenchmarks -main-is LazyByteString LazyByteString
 	./benchmarks/LazyByteString --resamples 10000
 
+core-lazy-bytestring:
+	ghc-core -- --make -O2 -fforce-recomp -ibenchmarks -main-is LazyByteString LazyByteString
+
 # Benchmark benefit of compaction before compression
 bench-server:
 	$(GHC) --make -O2 -ibenchmarks -main-is BenchmarkServer BenchmarkServer
