=== debian/control ===
--- 
+++ 
@@ -8,11 +8,12 @@
   , haskell-devscripts (>= 0.8.15)
   , ghc
   , ghc-prof
-  , libghc-text-dev (>> 0.10), libghc-text-dev (<< 0.13)
+  , libghc-text-dev (>= 0.10)
+  , libghc-text-dev (<< 0.13)
   , libghc-text-prof
 Build-Depends-Indep: ghc-doc
   , libghc-text-doc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://hackage.haskell.org/package/blaze-builder
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-blaze-builder
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-blaze-builder
