=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALLCHANGELOGS_ARGS += CHANGES

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk
