## haskell-blaze-builder 0.3.3.2

=== debian/changelog ===
haskell-blaze-builder (0.3.3.2-3build1) wily; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 23 May 2015 18:34:03 +0100

haskell-blaze-builder (0.3.3.2-3) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:47:55 +0200

haskell-blaze-builder (0.3.3.2-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 17:09:36 +0100

haskell-blaze-builder (0.3.3.2-1) unstable; urgency=medium

  * New upstream version.
  * Fix misspelling of "system" in long description.

 -- Clint Adams <clint@debian.org>  Sun, 01 Jun 2014 18:11:00 -0400
