=== debian/control ===
Source: haskell-blaze-builder
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Marco Túlio Gontijo e Silva <marcot@debian.org>, Clint Adams <clint@debian.org>
Build-Depends: debhelper (>= 9)
  , cdbs
  , haskell-devscripts (>= 0.9)
  , ghc
  , ghc-prof
  , libghc-text-dev (>= 0.10)
  , libghc-text-dev (<< 1.2)
  , libghc-text-prof
Build-Depends-Indep: ghc-doc
  , libghc-text-doc
Standards-Version: 3.9.5
Homepage: http://hackage.haskell.org/package/blaze-builder
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-blaze-builder
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-blaze-builder
X-Description: abstraction of buffered output of byte streams
 This library provides an abstraction of buffered output of byte streams and
 several convenience functions to exploit it. For example, it allows one to
 efficiently serialize Haskell values to lazy bytestrings with a large average
 chunk size. The large average chunk size allows one to make good use of cache
 prefetching in later processing steps (e.g. compression) and reduces the
 system call overhead when writing the resulting lazy bytestring to a file or
 sending it over the network.

Package: libghc-blaze-builder-dev
Architecture: any
Depends: ${haskell:Depends}
  , ${shlibs:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-prof
Architecture: any
Depends: ${haskell:Depends}
  , ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-blaze-builder-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
