=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: haskell-blaze-builder
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Joachim Breitner <nomeata@debian.org>
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-text-dev (<< 1.3),
- libghc-text-dev (>= 0.10),
- libghc-text-prof,
-Build-Depends-Indep: ghc-doc, libghc-text-doc
-Standards-Version: 3.9.8
-Homepage: http://github.com/lpsmith/blaze-builder
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-blaze-builder
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Build-Depends-Indep: ghc-doc
+Standards-Version: 4.5.0
+Homepage: https://github.com/lpsmith/blaze-builder
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-blaze-builder
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-blaze-builder]
 X-Description: abstraction of buffered output of byte streams
  This library provides an abstraction of buffered output of byte streams and
  several convenience functions to exploit it. For example, it allows one to
