## haskell-blaze-builder 0.4.2.2

=== debian/changelog ===
haskell-blaze-builder (0.4.2.2-1build3) lunar; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Dec 2022 13:59:20 +0100

haskell-blaze-builder (0.4.2.2-1build2) lunar; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 08 Dec 2022 21:28:11 +0100

haskell-blaze-builder (0.4.2.2-1build1) kinetic; urgency=medium

  * No-change rebuild for new ghc

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 23 Aug 2022 05:42:10 +0000

haskell-blaze-builder (0.4.2.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 20 Jun 2022 19:41:36 -0400
