=== debian/control ===
--- 
+++ 
@@ -12,8 +12,8 @@
  ghc-prof,
  haskell-devscripts (>= 0.13),
 Build-Depends-Indep: ghc-doc
-Standards-Version: 4.5.0
-Homepage: https://github.com/lpsmith/blaze-builder
+Standards-Version: 4.6.1
+Homepage: https://github.com/blaze-builder/blaze-builder
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-blaze-builder
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-blaze-builder]
 X-Description: abstraction of buffered output of byte streams
