## haskell-blaze-builder 0.4.4.1

=== debian/changelog ===
haskell-blaze-builder (0.4.4.1-2) unstable; urgency=medium

  * Remove TODO from docs (no longer exists)

 -- Scott Talbert <swt@techie.net>  Sat, 03 Jan 2026 22:59:49 -0500

haskell-blaze-builder (0.4.4.1-1) unstable; urgency=medium

  * Build using dh-haskell
  * New upstream release

 -- Scott Talbert <swt@techie.net>  Sat, 03 Jan 2026 21:32:11 -0500

haskell-blaze-builder (0.4.2.3-2) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * Sourceful upload for GHC 9.6

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 14 Sep 2024 22:48:38 +0300
